Package ru.bitel.bgbilling.modules.voice.common.bean

# Class VoiceGeographicCode

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.oss.kernel.entity.common.bean.AbstractEntity
ru.bitel.oss.kernel.entity.common.bean.Entity
ru.bitel.common.model.AbstractTreeNode<VoiceGeographicCode>
ru.bitel.bgbilling.modules.voice.common.bean.VoiceBaseCodeBean<VoiceGeographicCode>
ru.bitel.bgbilling.modules.voice.common.bean.VoiceGeographicCode

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `GuiTitlable`, `Idable`, `ListItem`, `Node<VoiceGeographicCode>`, `TreeNode<VoiceGeographicCode>`

public class VoiceGeographicCode extends VoiceBaseCodeBean<VoiceGeographicCode>
Модель географического кода, представляющего собой код и направление, с привязкой к определенному оператору.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `VoiceGeographicCode.Builder`

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.AbstractTreeNode

  `children, parentId`

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VoiceGeographicCode()`
  `VoiceGeographicCode(int id, String title)`
  КОнструктор, который устанавливает поле title (НЕ code!!!)

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addChild(VoiceGeographicCode child)`
  Добавление дочернего элемента для данного географического кода при построении дерева кодов.
  `static VoiceGeographicCode.Builder`
  `builder()`
  `void`
  `copyTo(VoiceGeographicCode copy)`
  `String`
  `getGuiTitle()`
  Строка - имя объекта.
  `int`
  `getOperatorId()`
  `void`
  `setOperatorId(int operatorId)`
  `org.json.JSONObject`
  `toJson()`
  `String`
  `toString()`

  ### Methods inherited from class ru.bitel.bgbilling.modules.voice.common.bean.VoiceBaseCodeBean

  `clone, getCode, getDateFrom, getDateTo, getDestinationId, getDestinationTitle, getLevel, setCode, setDateFrom, setDateTo, setDestinationId, setDestinationTitle, setLevel`

  ### Methods inherited from class ru.bitel.common.model.AbstractTreeNode

  `getChildren, getParentId, setChildren, setParentId, toList`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.Entity

  `copyTo, getEntityId, setEntityId`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.AbstractEntity

  `copyTo, getEntityAttributes, getEntitySpecId, setEntityAttributes, setEntitySpecId`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getTitle, setId, setTitle, to, toIdTitle`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### VoiceGeographicCode

    public VoiceGeographicCode()

  - ### VoiceGeographicCode

    public VoiceGeographicCode(int id, String title)
    КОнструктор, который устанавливает поле title (НЕ code!!!) Нужно в клиенте для выпадающего списка
    Parameters:
      `id` - код геокода
      `title` - название.

- ## Method Details

  - ### addChild

    public void addChild(VoiceGeographicCode child)
    Добавление дочернего элемента для данного географического кода при построении дерева кодов. Например, если текущий географический код имеет код "734" (Башкортостан), то дочерним для него будет являться код "7347" (Уфа) или "73473" (Стерлитамак).
    Parameters:
      `child` - дочерний географический код.

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `IdTitle`

  - ### getGuiTitle

    public String getGuiTitle()
    Description copied from interface: `GuiTitlable`
    Строка - имя объекта. Скорее всего уникальная. Используется в комбобоксах, например, итд.
    Specified by:
      `getGuiTitle` in interface `GuiTitlable`
    Overrides:
      `getGuiTitle` in class `IdTitle`
    Returns:
      Строка - представление объекта.

  - ### getOperatorId

    public int getOperatorId()

  - ### setOperatorId

    public void setOperatorId(int operatorId)

  - ### copyTo

    public void copyTo(VoiceGeographicCode copy)

  - ### toJson

    public org.json.JSONObject toJson()

  - ### builder

    public static VoiceGeographicCode.Builder builder()